import request from '@/utils/request' //引入axios请求及拦截器
export default {
    //新增前培安排
    appsystembefore(data) {
        return request({
            url: '/system/before', 
            method: 'post',
            data
        })
    },
    //新增前培绑定商品
    appsystemaddGoods(data) {
        return request({
            url: '/system/before/addGoods', 
            method: 'post',
            data
        })
    },
    //修改前培安排
    editsystembefore(data) {
        return request({
            url: '/system/before/edit',
            method: 'post',
            data
        })
    },
    //查询前培安排列表
    inquiresystembefore(data) {
        return request({
            url: '/system/before/list',
            method: 'get',
            params: data
        })
    },
    //查看前陪绑定商品
    inquiresystembeforelistGoodsgoodsInfo(data) {
        return request({
            url: '/system/before/goodsInfo',
            method: 'get',
            params: data
        })
    },
    //查询前培商品列表
    inquiresystembeforelistGoods(data) {
        return request({
            url: '/system/before/listGoods',
            method: 'get',
            params: data
        })
    },
    //查询前培url列表
    inquiresystembeforelistUrl(data) {
        return request({
            url: '/system/before/listUrl',
            method: 'get',
            params: data
        })
    },
    //获取前培安排详细信息
    obtainsystembefore(data) {
        return request({
            url: `/system/before/` + data,
            method: 'get',
        })
    },
}